Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
ThreadSpecificData Class Reference

This class contains all the thread-specific data in use by log4cxx. More...

## Public Member Functions
| ThreadSpecificData ()
| ~ThreadSpecificData ()
void | recycle ()
| Release this ThreadSpecficData if empty. More...
log4cxx::NDC::Stack & | getStack ()
log4cxx::MDC::Map & | getMap ()

## Static Public Member Functions
static ThreadSpecificData * | getCurrentData ()
| Gets current thread specific data. More...
static void | put (const LogString &key, const LogString &val)
static void | push (const LogString &val)
static void | inherit (const log4cxx::NDC::Stack &stack)

## Detailed Description

This class contains all the thread-specific data in use by log4cxx.

## Constructor & Destructor Documentation

ThreadSpecificData | ( |  | ) |

~ThreadSpecificData | ( |  | ) |

## Member Function Documentation

static ThreadSpecificData* getCurrentData | ( |  | ) |
| static

Gets current thread specific data.

Returns
  thread specific data, may be null.

log4cxx::MDC::Map& getMap | ( |  | ) |

log4cxx::NDC::Stack& getStack | ( |  | ) |

static void inherit | ( | const log4cxx::NDC::Stack & | stack | ) |
| static

static void push | ( | const LogString & | val | ) |
| static

static void put | ( | const LogString & | key,
|  | const LogString & | val
| ) |  |
| static

void recycle | ( |  | ) |

Release this ThreadSpecficData if empty.

The documentation for this class was generated from the following file:

- threadspecificdata.h